# Poco::Data

# class Limit

Library: Data
Package: DataCore
Header: Poco/Data/Limit.h

## Description

Limit stores information how many rows a query should return.

## Member Summary

Member Functions: isHardLimit, isLowerLimit, value

## Enumerations

### Anonymous

LIMIT_UNLIMITED = 0xffffffffu

## Constructors

### Limit

Limit(
Poco::UInt32 value,
bool hardLimit,
bool isLowerLimit
);

Creates the Limit.

Value contains the upper row hint, if hardLimit is set to true, the limit acts as a hard border, ie. every query must return exactly value rows, returning more than value objects will throw an exception! LowerLimits always act as hard-limits!

A value of LIMIT_UNLIMITED disables the limit.

## Destructor

### ~Limit

~Limit();

Destroys the Limit.

## Member Functions

### isHardLimit

bool isHardLimit() const;

Returns true if the limit is a hard limit.

### isLowerLimit

bool isLowerLimit() const;

Returns true if the limit is a lower limit, otherwise it is an upperLimit

### value

Poco::UInt32 value() const;

Returns the value of the limit